fft2D.h File Reference

Go to the source code of this file.

## Functions

void | fft2d (double **xtre, double **xtim, int width, int height, bool shift=true)
void | fft2d_inv (double **xtre, double **xtim, double **xrec_re, double **xrec_im, int width, int height, bool undoShift=true)
bool | isPower2 (int n)
int | next2Power (int n)

## Function Documentation

void fft2d | ( | double ** | xtre,
|  | double ** | xtim,
|  | int | width,
|  | int | height,
|  | bool | shift = `true`
| ) |  |

References Matrix::allocateMatrixData(), fft(), and Matrix::freeMatrixData().

Referenced by MatrixModel::fft(), and FFT::fftMatrix().

void fft2d_inv | ( | double ** | xtre,
|  | double ** | xtim,
|  | double ** | xrec_re,
|  | double ** | xrec_im,
|  | int | width,
|  | int | height,
|  | bool | undoShift = `true`
| ) |  |

References Matrix::allocateMatrixData(), fft_inv(), and Matrix::freeMatrixData().

Referenced by MatrixModel::fft(), and FFT::fftMatrix().

bool isPower2 | ( | int | n | ) |

Referenced by FFTDialog::activateDataSet(), FFT::fftMatrix(), and FFTDialog::setMatrix().

int next2Power | ( | int | n | ) |

Referenced by FFT::fftMatrix().